<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="model"
            type="com.dskj.trustlend.home.MainViewModel" />

    </data>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_8a53e2">

        <RelativeLayout
            android:id="@+id/show_bg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fitsSystemWindows="false"
            android:orientation="vertical"
            tools:context=".ui.activity.StartUpActivity">

            <ImageView
                android:id="@+id/float_iv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:scaleType="fitXY"
                android:maxHeight="400dp"
                android:adjustViewBounds="true"
                android:src="@mipmap/start_bg1" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignTop="@id/float_iv"
                android:layout_alignBottom="@id/float_iv"
                android:gravity="center"
                android:orientation="vertical">

                <com.dskj.trustlend.view.CircleImageView
                    android:layout_width="88dp"
                    android:layout_height="93dp"
                    app:es_shape_type="rectangle"
                    app:ease_radius="10dp"
                    android:src="@mipmap/app_lg"/>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp30"
                    android:gravity="center"
                    android:text="TRUSTLEND"
                    android:textColor="#fffdfdfd"
                    android:textSize="24sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp10"
                    android:text="Secure Tomorow, Today with Trustlend."
                    android:textColor="#fffdfdfd"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/agent_ly"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_below="@id/float_iv"
                android:layout_marginStart="@dimen/dp30"
                android:layout_marginTop="-35dp"
                android:layout_marginEnd="@dimen/dp30"
                android:background="@drawable/inputbg_false"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:src="@mipmap/agent_img" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:background="#33FFFFFF" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/transparent"
                    android:hint="Agent Code"
                    android:textCursorDrawable="@drawable/cursor_style"

                    android:id="@+id/agent_code_tv"
                    android:textColor="@color/white"
                    android:textColorHint="#4dffffff"
                    android:textSize="14sp" />
            </LinearLayout>


            <LinearLayout
                android:id="@+id/fullname_ly"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_below="@id/agent_ly"
                android:layout_marginStart="@dimen/dp30"
                android:layout_marginTop="@dimen/dp20"
                android:layout_marginEnd="@dimen/dp30"
                android:background="@drawable/inputbg_false"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:src="@mipmap/fullname_img" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:background="#33FFFFFF" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/transparent"
                    android:hint="Full Name"
                    android:id="@+id/full_name_tv"
                    android:textCursorDrawable="@drawable/cursor_style"

                    android:textColor="@color/white"
                    android:textColorHint="#4dffffff"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/idcard_ly"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_below="@id/fullname_ly"
                android:layout_marginStart="@dimen/dp30"

                android:layout_marginTop="@dimen/dp20"
                android:layout_marginEnd="@dimen/dp30"
                android:background="@drawable/inputbg_false"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:src="@mipmap/idcard_img" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:background="#33FFFFFF" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/transparent"
                    android:hint="Enter Passport / ID Number"
                    android:textColor="@color/white"
                    android:textCursorDrawable="@drawable/cursor_style"

                    android:id="@+id/id_number_tv"
                    android:textColorHint="#4dffffff"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/pass_ly"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_below="@id/idcard_ly"
                android:layout_marginStart="@dimen/dp30"
                android:layout_marginTop="@dimen/dp20"
                android:layout_marginEnd="@dimen/dp30"
                android:background="@drawable/inputbg_false"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:src="@mipmap/pass_img" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:background="#33FFFFFF" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/transparent"
                    android:hint="Password"
                    android:id="@+id/pass_tv"
                    android:textCursorDrawable="@drawable/cursor_style"

                    android:inputType="textPassword"
                    android:textColor="@color/white"
                    android:textColorHint="#4dffffff"
                    android:textSize="14sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/pass_ly1"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_below="@id/pass_ly"
                android:layout_marginStart="@dimen/dp30"
                android:layout_marginTop="@dimen/dp20"
                android:layout_marginEnd="@dimen/dp30"
                android:background="@drawable/inputbg_false"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:src="@mipmap/pass_img" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:background="#33FFFFFF" />

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@android:color/transparent"
                    android:hint="Confirm Password"
                    android:id="@+id/pass_tv1"
                    android:inputType="textPassword"
                    android:textCursorDrawable="@drawable/cursor_style"

                    android:textColor="@color/white"
                    android:textColorHint="#4dffffff"
                    android:textSize="14sp" />
            </LinearLayout>


            <LinearLayout
                android:id="@+id/phone_ly"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:layout_below="@id/pass_ly1"
                android:layout_marginStart="@dimen/dp30"
                android:layout_marginTop="@dimen/dp20"
                android:layout_marginEnd="@dimen/dp30"
                android:background="@drawable/inputbg_false"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:src="@mipmap/phone_img" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:background="#33FFFFFF" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="+852"
                    android:id="@+id/area_tv"
                    android:textColor="#ffffffff"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/phone_tv"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/dp10"
                    android:background="@android:color/transparent"
                    android:hint="Enter Phone"
                    android:inputType="numberDecimal"
                    android:textCursorDrawable="@drawable/cursor_style"

                    android:textColor="@color/white"
                    android:textColorHint="#4dffffff"
                    android:textSize="14sp" />
            </LinearLayout>

            <Button
                android:id="@+id/reg_bt"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_below="@id/phone_ly"
                android:layout_marginStart="@dimen/dp30"
                android:layout_marginTop="@dimen/dp40"
                android:layout_marginEnd="@dimen/dp30"
                android:background="@drawable/button_bg_true"
                android:text="REGISTER"
                android:textColor="#fffdfdfd"
                android:textSize="16sp" />

            <LinearLayout
                android:id="@+id/login_bt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/reg_bt"
                android:layout_marginStart="@dimen/dp30"
                android:layout_marginTop="@dimen/dp22"
                android:layout_marginEnd="@dimen/dp30"
                android:layout_marginBottom="@dimen/dp80"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Already Have An Account ?  "
                    android:textColor="#fffdfdfd"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/login_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Login"
                    android:layout_marginStart="@dimen/dp10"
                    android:textColor="#FFFFFF"
                    android:textSize="14sp" />

            </LinearLayout>
        </RelativeLayout>
    </androidx.core.widget.NestedScrollView>
</layout>